Package org.eclipse.rdf4j.http.server.repository

## Class QueryResultView

- java.lang.Object
- - org.eclipse.rdf4j.http.server.repository.QueryResultView

- All Implemented Interfaces:
    `org.springframework.web.servlet.View`
  Direct Known Subclasses:
    `BooleanQueryResultView`, `GraphQueryResultView`, `TupleQueryResultView`

      public abstract class QueryResultView
      extends Object
      implements org.springframework.web.servlet.View

  Base class for rendering query results.
  Author:
    Herko ter Horst, Arjohn Kampman

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CONNECTION_KEY` | Key by which the current `RepositoryConnection` is stored in the Model.
    `static String` | `FACTORY_KEY` | Key by which the query result writer factory is stored in the model.
    `static String` | `FILENAME_HINT_KEY` | Key by which a filename hint is stored in the model.
    `static String` | `HEADERS_ONLY` |
    `static String` | `QUERY_RESULT_KEY` | Key by which the query result is stored in the model.

    - ### Fields inherited from interface org.springframework.web.servlet.View

      `PATH_VARIABLES, RESPONSE_STATUS_ATTRIBUTE, SELECTED_CONTENT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryResultView()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `logEndOfRequest​(javax.servlet.http.HttpServletRequest request)` |
    `void` | `render​(Map model, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
    `protected abstract void` | `renderInternal​(Map model, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
    `protected void` | `setContentDisposition​(Map model, javax.servlet.http.HttpServletResponse response, FileFormat fileFormat)` |
    `protected void` | `setContentType​(javax.servlet.http.HttpServletResponse response, FileFormat fileFormat)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.web.servlet.View

      `getContentType`

- - ### Field Detail

    - #### QUERY_RESULT_KEY

          public static final String QUERY_RESULT_KEY

      Key by which the query result is stored in the model.
      See Also:
        Constant Field Values

    - #### FACTORY_KEY

          public static final String FACTORY_KEY

      Key by which the query result writer factory is stored in the model.
      See Also:
        Constant Field Values

    - #### FILENAME_HINT_KEY

          public static final String FILENAME_HINT_KEY

      Key by which a filename hint is stored in the model. The filename hint may be used to present the client with a suggestion for a filename to use for storing the result.
      See Also:
        Constant Field Values

    - #### CONNECTION_KEY

          public static final String CONNECTION_KEY

      Key by which the current `RepositoryConnection` is stored in the Model. If this is present, the `QueryResultView` will take care to close the connection after processing the query result.
      See Also:
        Constant Field Values

    - #### HEADERS_ONLY

          public static final String HEADERS_ONLY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QueryResultView

          public QueryResultView()

  - ### Method Detail

    - #### render

          public final void render​(Map model,
                                   javax.servlet.http.HttpServletRequest request,
                                   javax.servlet.http.HttpServletResponse response)
                            throws IOException

      Specified by:
        `render` in interface `org.springframework.web.servlet.View`
      Throws:
        `IOException`

    - #### renderInternal

          protected abstract void renderInternal​(Map model,
                                                 javax.servlet.http.HttpServletRequest request,
                                                 javax.servlet.http.HttpServletResponse response)
                                          throws IOException

      Throws:
        `IOException`

    - #### setContentType

          protected void setContentType​(javax.servlet.http.HttpServletResponse response,
                                        FileFormat fileFormat)
                                 throws IOException

      Throws:
        `IOException`

    - #### setContentDisposition

          protected void setContentDisposition​(Map model,
                                               javax.servlet.http.HttpServletResponse response,
                                               FileFormat fileFormat)
                                        throws IOException

      Throws:
        `IOException`

    - #### logEndOfRequest

          protected void logEndOfRequest​(javax.servlet.http.HttpServletRequest request)